#!/usr/bin/env python3
import emod_api.peek_camp as base_peek_camp

multi_iv_catenator = "+"
presets = {}

def decorate_actual_iv_impl( iv, signal=None ):
    # do some tbhiv-specific stuff and then do base stuff
    return base_peek_camp.decorate_actual_iv_impl( iv, signal )

def decorate_actual_iv( iv, signal=None ):
    return decorate_actual_iv_impl( iv, signal )
    #return base_peek_camp.decorate_actual_iv( iv, signal )

# Replace emod_api decorate function with ours, but then call into that for base functionality

base_peek_camp.decorate_actual_iv = decorate_actual_iv
if __name__ == "__main__":
    import argparse
    parser = argparse.ArgumentParser()
    parser.add_argument('-c', '--campaign', 
                help='Existing campaign.json file path.'
            )
    parser.add_argument('-e', '--encode', help='encode')
    args = parser.parse_args()
    if args.encode:
        base_peek_camp.encode( args.campaign )
    else:
        base_peek_camp.decode( args.campaign )
